Customer KYC Upgrade - NIN
curl --request POST \
--url https://waas-staging.embedly.ng/api/v1/customers/kyc/customer/nin \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"firstname": "<string>",
"lastname": "<string>",
"dob": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/customers/kyc/customer/nin"
payload = {
"firstname": "<string>",
"lastname": "<string>",
"dob": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({firstname: '<string>', lastname: '<string>', dob: '<string>'})
};
fetch('https://waas-staging.embedly.ng/api/v1/customers/kyc/customer/nin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Completed Successfully",
"data": {
"id": 130,
"applicant": { "firstname": "Bunch", "lastname": "Dillon", "dob": null },
"summary": {
"v_nin_check": null,
"nin_check": {
"status": "EXACT_MATCH",
"fieldMatches": { "firstname": true, "lastname": true }
}
},
"status": { "state": "complete", "status": "verified" },
"nin": {
"firstname": "Bunch",
"lastname": "Dillon",
"middlename": "John",
"birthdate": "06-01-1974",
"gender": "m",
"phone": "08000000000",
"vNin": null,
"nin": "63184876213",
"photo": "/9j/4AAQSk******/wCpiNUFoooEf//Z",
"residence": null
}
}
}
KYC
Customer KYC Upgrade - NIN
This endpoint enables you to upgrade a customer’s KYC using nin
POST
customers
/
kyc
/
customer
/
nin
Customer KYC Upgrade - NIN
string
required
The unique identifier of the customer whose KYC tier is being upgraded.
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6 This is a query
parameterstring
required
The unique value of the customer’s nin. Example:
12345678909 This is a
query parameterstring
required
Example:
1 This is a query parameterstring
required
The firstname of the customer as stated against the customer’s nin.
Example:
Johnstring
required
The lastname of the customer as stated against the customer’s nin.
Example:
Doestring
required
The customer’s dob. Example: “1999-10-27T09”
{
"code": "00",
"success": true,
"message": "Completed Successfully",
"data": {
"id": 130,
"applicant": { "firstname": "Bunch", "lastname": "Dillon", "dob": null },
"summary": {
"v_nin_check": null,
"nin_check": {
"status": "EXACT_MATCH",
"fieldMatches": { "firstname": true, "lastname": true }
}
},
"status": { "state": "complete", "status": "verified" },
"nin": {
"firstname": "Bunch",
"lastname": "Dillon",
"middlename": "John",
"birthdate": "06-01-1974",
"gender": "m",
"phone": "08000000000",
"vNin": null,
"nin": "63184876213",
"photo": "/9j/4AAQSk******/wCpiNUFoooEf//Z",
"residence": null
}
}
}
⌘I